io.swagger.client.api

## Class CheckersApi

- java.lang.Object
- - io.swagger.client.api.CheckersApi

-     public class CheckersApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckersApi()`
    `CheckersApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `checkApplicationPost(File file)` Check validity of application configuration for Workbench Checks a configuration file
    `com.squareup.okhttp.Call` | `checkApplicationPostAsync(File file, ApiCallback<Integer> callback)` Check validity of application configuration for Workbench (asynchronously) Checks a configuration file
    `com.squareup.okhttp.Call` | `checkApplicationPostCall(File file, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for checkApplicationPost
    `ApiResponse<Integer>` | `checkApplicationPostWithHttpInfo(File file)` Check validity of application configuration for Workbench Checks a configuration file
    `Integer` | `checkContractCodePost(Integer ledgerId)` Check validity of application ledger implementation for Workbench Checks a ledger implementation file against configuration file
    `com.squareup.okhttp.Call` | `checkContractCodePostAsync(Integer ledgerId, ApiCallback<Integer> callback)` Check validity of application ledger implementation for Workbench (asynchronously) Checks a ledger implementation file against configuration file
    `com.squareup.okhttp.Call` | `checkContractCodePostCall(Integer ledgerId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for checkContractCodePost
    `ApiResponse<Integer>` | `checkContractCodePostWithHttpInfo(Integer ledgerId)` Check validity of application ledger implementation for Workbench Checks a ledger implementation file against configuration file
    `ApiClient` | `getApiClient()`
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckersApi

          public CheckersApi()

    - #### CheckersApi

          public CheckersApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### checkApplicationPostCall

          public com.squareup.okhttp.Call checkApplicationPostCall(File file,
                                                                   ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for checkApplicationPost
      Parameters:
        `file` - Upload File (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### checkApplicationPost

          public Integer checkApplicationPost(File file)
                                       throws ApiException

      Check validity of application configuration for Workbench Checks a configuration file
      Parameters:
        `file` - Upload File (required)
      Returns:
        Integer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### checkApplicationPostWithHttpInfo

          public ApiResponse<Integer> checkApplicationPostWithHttpInfo(File file)
                                                                throws ApiException

      Check validity of application configuration for Workbench Checks a configuration file
      Parameters:
        `file` - Upload File (required)
      Returns:
        ApiResponse<Integer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### checkApplicationPostAsync

          public com.squareup.okhttp.Call checkApplicationPostAsync(File file,
                                                                    ApiCallback<Integer> callback)
                                                             throws ApiException

      Check validity of application configuration for Workbench (asynchronously) Checks a configuration file
      Parameters:
        `file` - Upload File (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### checkContractCodePostCall

          public com.squareup.okhttp.Call checkContractCodePostCall(Integer ledgerId,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for checkContractCodePost
      Parameters:
        `ledgerId` - The input chain type id (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### checkContractCodePost

          public Integer checkContractCodePost(Integer ledgerId)
                                        throws ApiException

      Check validity of application ledger implementation for Workbench Checks a ledger implementation file against configuration file
      Parameters:
        `ledgerId` - The input chain type id (optional)
      Returns:
        Integer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### checkContractCodePostWithHttpInfo

          public ApiResponse<Integer> checkContractCodePostWithHttpInfo(Integer ledgerId)
                                                                 throws ApiException

      Check validity of application ledger implementation for Workbench Checks a ledger implementation file against configuration file
      Parameters:
        `ledgerId` - The input chain type id (optional)
      Returns:
        ApiResponse<Integer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### checkContractCodePostAsync

          public com.squareup.okhttp.Call checkContractCodePostAsync(Integer ledgerId,
                                                                     ApiCallback<Integer> callback)
                                                              throws ApiException

      Check validity of application ledger implementation for Workbench (asynchronously) Checks a ledger implementation file against configuration file
      Parameters:
        `ledgerId` - The input chain type id (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2018. All rights reserved.